Subject: Re: linux-next: manual merge of the tip-core tree with Linus' tree

From: Thomas Gleixner <[email-masked]>
Date: Thu, 21 May 2009 11:30:45 +0200 (CEST)

On Wed, 20 May 2009, Darren Hart wrote:

> Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the tip-core tree got a conflict in
> > kernel/futex.c between commit 64d1304a64477629cb16b75491a77bafe6f86963
> > ("futex: setup writeable mapping for futex ops which modify user space
> > data") from Linus' tree and a couple of commits from the tip-core tree.
> > 
> > I fixed it up (see below - but please check in particular, I have no idea
> > if the call to get_futex_key() in futex_wait_requeue_pi() should take
> > VERIFY_READ or VERIFY_WRITE).
> > 
> > I can carry this fixup as necessary.
> 
> I suspect Thomas will be catching that up in the next day or so in tip
> (or I can).  If you need something now, the uaddr is VERIFY_READ and
> uaddr2 is VERIFY_WRITE.  See below...

Fix is in -tip and queued for -next

Thanks,

	tglx